Version 2.0.9 bugs, errors and suggestions

Posted on
Tue Jan 21, 2020 3:23 pm
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Version 2.0.9 bugs, errors and suggestions

@howartp:

I do not get the strange cookie errors that @tazswe was getting with 2.0.9 as his report in viewtopic.php?p=187342#p187342
2.0.9 has been working perfectly fine for me for 2 days without any errors and that is with 5 second interval as the polling interval.

Only error I can trigger is the one we have seen previously:
Go into config panel and just press SAVE (without any changes or changes done) and you will get the following error:

Code: Select all
   Verisure v2                     Debug logging disabled
   Verisure v2                     Debug super logging disabled
   Verisure v2 Error               Error in plugin execution runConcurrentThread:

Traceback (most recent call last):
  File "plugin.py", line 331, in runConcurrentThread
  File "plugin.py", line 207, in refreshData
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 336, in get_lock_config
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 18, in _validate_response
ResponseError: Invalid response, status code: 503 - Data: {"errorGroup":"SERVICE_UNAVAILABLE","errorCode":"SYS_00004","errorMessage":"XBN Database is not activated"}

   Verisure v2 Error               plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)
Reloading the plugin and the error is gone. If I change for example polling interval from 5 to 15 seconds and press SAVE I get the same error but after reloading the plugin the setting has been correctly changed to 15 seconds. Changing back to 5 seconds and the same error happens again, reload plugin and everything works fine again and now with the 5 second setting in the polling interval.

Posted on
Tue Jan 21, 2020 4:05 pm
tazswe offline
Posts: 72
Joined: Mar 13, 2017
Location: Sweden

Re: Version 2.0.9 bugs, errors and suggestions

Have tried a lot of different settings and reloaded it.

2.0.7 was working good for me, have 4 locks and nothing more from Verisure. Never tried 2.0.8




Skickat från min iPad med Tapatalk

Posted on
Wed Jan 22, 2020 5:29 pm
howartp offline
Posts: 4129
Joined: Jan 09, 2014
Location: West Yorkshire, UK

Re: Version 2.0.9 bugs, errors and suggestions

CrazyFin wrote:
Only error I can trigger is the one we have seen previously:

That's actually a different error.

The earlier one was my fault due to bad coding.

This one is due to the Verisure server being unavailable and the python library i'm using doesn't handle it well - once it's been unavailable once, it never checks again.

I'll have to play with how to handle it.

Peter

Posted on
Thu Jan 23, 2020 3:22 pm
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

Code: Select all
ResponseError: Invalid response, status code: 503 - Data: {"errorGroup":"SERVICE_UNAVAILABLE","errorCode":"SYS_00004","errorMessage":"XBN Database is not activated"}

Yes indeed a different error from previous "Save config"-errors. However, I am surprised that it would be caused by Verisure not responding since this happens only when I go in to config panel and press SAVE and it happens every time. If it was Verisure not responding, shouldn't I see similar errors during normal poll attempts and not only during "Save" in Config Panel?

Posted on
Fri Apr 17, 2020 12:59 pm
howartp offline
Posts: 4129
Joined: Jan 09, 2014
Location: West Yorkshire, UK

Re: Version 2.0.9 bugs, errors and suggestions

How is the plugin working at the moment, and what versions are folk on?

Peter

Posted on
Fri Apr 17, 2020 3:35 pm
tazswe offline
Posts: 72
Joined: Mar 13, 2017
Location: Sweden

Re: Version 2.0.9 bugs, errors and suggestions

Hi Peter,

I’m useing 2.0.9 and it’s working perfectly, have full control on all that unlocks the door, everybody have their own welcome phrase.


Skickat från min iPad med Tapatalk

Posted on
Fri Apr 17, 2020 4:41 pm
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

@howartp:

I do not really dare to say it (not worth "jinxing" it) but I must say it has been sooooo stable for 3 months now! :lol:
All my Verisure door locks as well as my Verisure alarm is now nicely integrated and doing proper actions in Indigo when arming/unarming the alarm as well as when unlocking/locking doors.

So nice to come home and disarm and hearing music starting up in my house via my Squeezeboxes! :mrgreen:

Well done @howartp! I am so satisfied now (and the rest of my family as well... :lol: )

Posted on
Sat Apr 18, 2020 3:56 am
howartp offline
Posts: 4129
Joined: Jan 09, 2014
Location: West Yorkshire, UK

Re: Version 2.0.9 bugs, errors and suggestions

Thanks both, that’s great to hear!


Sent from my iPhone using Tapatalk Pro

Posted on
Wed Jul 29, 2020 2:14 pm
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

Sorry but I have to report that the Verisure 2.0.9 plugin seems to have started to fail as of yesterday Tuesday 28th July around 14:20 CET. :-(

It has been working flawless for many months but today (Wednesday July 29th) I suddenly got series of events happening at 21:14 CET such as many lights went on, my sauna went on, garage door opened.... really spooky actually. However, not all of my Z-Wave devices triggered during this short event.

I tried to look in my event log but for some reason it just ends at 20:57:31 CET and then there are no more logged events. Log file is quite big compared to normal days and this log file is 9.1MB and I have seen similar situations before that when the log file becomes too big it just stops logging?
Ah! I stopped the Indigo server, renamed todays log file and then restarted the server and Indigo client again. It has started to create a new log file with today's date.
I see in the log file:
Code: Select all
*** Log File Overflow -- suppressing future logging to this file and console ***

So anything that happened after 20:57:31 CET today is not logged until I actually restarted the Indigo server now at 22:17 CET?

Anyway, I think the big log file has been caused by the fact that the Verisure-plugin has encountered some login problems and it might be the fact that Verisure has changed something in their API.

I see huge amounts of the following error messages from the Verisure plugin (and I have tried to disable and reload the plugin but still the same error messages):
Code: Select all
Enabling plugin "Verisure v2 2.0.9"
   Starting plugin "Verisure v2 2.0.9" (pid 82528)
   Started plugin "Verisure v2 2.0.9"
   Verisure v2 Debug               startup called
   Verisure v2 Debug               rateLimit is 5
   Verisure v2 Debug               Creating session
   Verisure v2 Debug               Logging in
   Verisure v2 Error               Error in plugin execution startup:

Traceback (most recent call last):
  File "plugin.py", line 53, in startup
  File "plugin.py", line 152, in doLogin
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 88, in login
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 165, in _get_installations
RequestError: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:590)


This is the last message I see in the log for today and then the log file does not show anymore of events going on this evening:
Code: Select all
2020-07-29 20:57:31.500   Verisure v2 Error   Error in plugin execution runConcurrentThread:

Traceback (most recent call last):
  File "plugin.py", line 326, in runConcurrentThread
  File "plugin.py", line 152, in doLogin
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 88, in login
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 165, in _get_installations
RequestError: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:590)

Posted on
Wed Jul 29, 2020 2:39 pm
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

I can control my Verisure devices via Verisures own app but when I try to for example unlock my door via Indigo I get the following error message:
Code: Select all
   Verisure v2                     sent "ENTRANCE - DOOR LOCK V2" Unlock request
   Verisure v2 Error               Error in plugin execution ExecuteAction:

Traceback (most recent call last):
  File "plugin.py", line 363, in actionControlDevice
  File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/VerisureV2.indigoPlugin/Contents/Server Plugin/verisure/session.py", line 299, in set_lock_state
RequestError: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:590)


There was a Verisure firmware upgrade on 28th July that my Verisure main unit downloaded so it might in fact be that Verisure has changed something in their protocol.

Posted on
Thu Jul 30, 2020 12:05 am
howartp offline
Posts: 4129
Joined: Jan 09, 2014
Location: West Yorkshire, UK

Version 2.0.9 bugs, errors and suggestions

What OS are you on?

I’m I wondering if Tesla and Verisure have turned off TLS 1.0/1.1 support; I know Chrome is starting to warn website users if a site isn’t using TLS 1.2 in anticipation of blocking those sites all together.

Peter


Sent from my iPhone using Tapatalk Pro

Posted on
Thu Jul 30, 2020 8:23 am
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

I am on MacOS Sierra 10.12.6

I tried to search the web for Verisure API changes but since all of that is un-documented it is impossible to find information on it.

If I test Per Sandströms python-api for Verisure (https://github.com/persandstrom/python-verisure) from a terminal window I get a similar error:

Code: Select all
>vsure <my email> <pwd> armstate
Traceback (most recent call last):
  File "/usr/local/bin/vsure", line 10, in <module>
    sys.exit(main())
  File "/Library/Python/2.7/site-packages/verisure/__main__.py", line 214, in main
    session.login()
  File "/Library/Python/2.7/site-packages/verisure/session.py", line 84, in login
    self._get_installations()
  File "/Library/Python/2.7/site-packages/verisure/session.py", line 147, in _get_installations
    raise RequestError(ex)
verisure.session.RequestError: HTTPSConnectionPool(host='e-api01.verisure.com', port=443): Max retries exceeded with url: /xbn/2/installation/search?email=<my login hidden> (Caused by SSLError(SSLError(1, u'[SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:590)'),))


So this definitely suggests that TLSV1 is no longer supported by Verisure.

@tazswe: Have you also encountered problems?

Posted on
Sun Aug 02, 2020 11:22 am
CrazyFin offline
Posts: 361
Joined: Jan 08, 2015
Location: Stockholm, SWEDEN

Re: Version 2.0.9 bugs, errors and suggestions

Alright, since I am alone at home and family travelling I have been able to spend all Sunday on "googling around".

My findings are that the OpenSSL-package shipped with Mac OS Sierra 10.12.6 that I have on my Mac Mini (mid 2010) does not have the newer TLS-versions.
This page was very helpful to understand what was going on:
http://pyfound.blogspot.com/2017/01/tim ... s-v12.html

A lot more digging and searching on the web made me realise that I have somewhat messed up my Python installations as well since I was able to find many different Python installs on my machine.
I had totally forgot that I probably 4-5 years ago had done a python install via Homebrew as well which I now discovered.

Since Per Sandström's Verisure plugin works with Python 3.8 I decided to test first by upgrading my HomeBrew Python 3.8 to the latest and when I run the command line commands for checking alarm state it WORKED! :shock:

So the question for me is now if I upgrade the "built-in" Python 2.7 to the latest from https://www.python.org/downloads/release/python-2718/ will work?

I found an old thread here in the forum about how Indigo uses Python and my sense is that just downloading and upgrading Python to the latest (and final release) 2.17.8 won't work since the Python installer from python.org will not install python in the correct directory?
viewtopic.php?f=107&t=19129

So how do I upgrade the system-pre-installed Python to 2.17.8 which has the proper support for TLS 1.2 (and 1.3)?

Posted on
Sun Aug 02, 2020 11:42 am
FlyingDiver offline
User avatar
Posts: 4306
Joined: Jun 07, 2014
Location: Southwest Florida, USA

Re: Version 2.0.9 bugs, errors and suggestions

CrazyFin wrote:
So how do I upgrade the system-pre-installed Python to 2.17.8 which has the proper support for TLS 1.2 (and 1.3)?


Upgrade the OS to at least High Sierra (10.13).

joe (aka FlyingDiver)
my plugins: http://forums.indigodomo.com/viewforum.php?f=177

Posted on
Sun Aug 02, 2020 11:44 am
howartp offline
Posts: 4129
Joined: Jan 09, 2014
Location: West Yorkshire, UK

Re: Version 2.0.9 bugs, errors and suggestions

Hehe, I was just thinking that Joe might be along to one of these SSL posts sometime soon - wasn’t expecting quite such a quick response!


Sent from my iPhone using Tapatalk Pro

Who is online

Users browsing this forum: No registered users and 1 guest